#include "vision.h"
#include <bits/stdc++.h>

using namespace std;
std::vector<int> getVisionPattern1d()
{
    vector<int> pattern;for (int i=1;i<=3;i++) pattern.push_back(i);
    return pattern;
}

int getMove1d(std::vector<int> v)
{
    int len=(int)v.size();int curr=v[len/2];
    int pre=v[len/2-1],posle=v[len/2+1];
    if (curr==2)
    {
        if (pre>posle) return len/2-1;
        else return len/2+1;
    }
    if (curr==1)
    {
        if (pre==2) return len/2-1;
        else return len/2+1;
    }
    if (pre==1) return len/2-1;
    else return len/2+1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}